Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class CachedSelectorCollection

    java.lang.Object
      oracle.ifs.common.CachedCollection
          oracle.ifs.common.CachedSelectorCollection

All Implemented Interfaces:
  Collection, IfsEventHandler

    public class CachedSelectorCollection

extends CachedCollection

A CachedSelectorCollection is a CachedCollection whose items are LIBRARYOBJECTs specified by a Selector or S_Selector.

CachedSelectorCollection defers resolving its items until they are requested, at which point they are obtained from the underlying Selector or S_Selector and cached. Because the items are cached, CachedSelectorCollection may consume excessive Java heap for large collections.

The LIBRARYOBJECTs returned by the Selector or S_Selector must have a Name attribute. Both `getItems()` and `getItemsVector()` return items sorted by Name. Use `getItems(String)` to look up an item by name. This lookup is case-insentive. If more than one item has the same case-insensitive name, `getItems(String)` returns an arbitrary item with that name.

(Published)

Field Summary
`protected java.lang.Class` | `m_Class` The class of the objects in this Collection.
`protected Selector` | `m_Selector` The Selector used to obtain the items in this Collection (if this is a collection of LibraryObjects).
`protected S_Selector` | `m_SSelector` The S_Selector used to obtain the items in this Collection (if this is a collection of S_LibraryObjects).

Fields inherited from class oracle.ifs.common.CachedCollection
`m_ItemsArray, m_ItemsHash`

Constructor Summary
`CachedSelectorCollection(S_Selector selector, java.lang.String className)` Constructs a collection of S_LibraryObjects.
`CachedSelectorCollection(Selector selector, java.lang.String className)` Constructs a collection of LibraryObjects.

Method Summary
`protected void` | `resolveNow()` Resolves the items in this Collection.

Methods inherited from class oracle.ifs.common.CachedCollection
`checkItemByUpperCaseName, getItemByUpperCaseName, getItemCount, getItems, getItems, getItems, getItemsVector, handleEvent, reset, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Class

    protected java.lang.Class m_Class

  Description copied from class: `CachedSelectorCollection`
  The class of the objects in this Collection.

  The value returned by getItems() can be cast to an array of this type.

  (Unpublished)

### m_SSelector

    protected S_Selector m_SSelector

  Description copied from class: `CachedSelectorCollection`
  The S_Selector used to obtain the items in this Collection (if this is a collection of S_LibraryObjects).

  (Unpublished)

### m_Selector

    protected Selector m_Selector

  Description copied from class: `CachedSelectorCollection`
  The Selector used to obtain the items in this Collection (if this is a collection of LibraryObjects).

  (Unpublished)

Constructor Detail

### CachedSelectorCollection

    public CachedSelectorCollection(S_Selector selector,
                                    java.lang.String className)
                             throws IfsException

  Constructs a collection of S_LibraryObjects.

  Parameters:
    `selector` - the S_Selector used to obtain the items in the Collection
    `className` - the full classname of the objects in this Collection; must be S_LibraryObject or a subclass of S_LibraryObject; if null, S_LibraryObject is used
  Throws:
    `IfsException` - (IFS-12210) if the operation fails
  (Unpublished)

### CachedSelectorCollection

    public CachedSelectorCollection(Selector selector,
                                    java.lang.String className)
                             throws IfsException

  Constructs a collection of LibraryObjects.

  Parameters:
    `selector` - the Selector used to obtain the items in the Collection
    `className` - the full classname of the objects in this Collection; must be LibraryObject or a subclass of LibraryObject; if null, LibraryObject is used
  Throws:
    `IfsException` - (IFS-12210) if the operation fails
  (Unpublished)

Method Detail

### resolveNow

    protected void resolveNow()
                       throws IfsException

  Description copied from class: `CachedSelectorCollection`
  Resolves the items in this Collection.

  Overrides:
    `resolveNow` in class `CachedCollection`
  Throws:
    `IfsException` - (IFS-12201) if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD